

<?php


$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$base_url = $request->getBaseUrl();
define("BASE_URL", $request->getBaseUrl() );

function _construitDetailCategories($relation_array, $level=0, $id_parent=null ) {
  
  $level_initial = $level ;
  $id_racine = $id_parent ;
  $tr_class = (!empty($id_parent) ) ? 'detail_'.$id_parent : '' ; 
  $tr_style = (!empty($id_parent) ) ? 'display:none; ' : '' ;
  $relation_indent = (!empty($id_parent) ) ? '<span class="glyphicon glyphicon-arrow-right"> &nbsp; </span>' : '' ;
  $identation = (15 * $level ) ;
  $td_style = (!empty($id_parent) ) ? 'padding-left:'.$identation.'px ; ' : '' ;
  
  foreach($relation_array as $relation ) {
    $li_class = '';
    $i_class = '' ;
    $a_class = '';
    
    $relation_id =  $relation['id'];
    $element_a_id = $relation['element_a_id'];
    $element_a_type = $relation['element_a_type'];
    $element_a_key = $relation['element_a_key'];
    $element_a_value = $relation['element_a_value'];
    $type_relation = $relation['type_relation'];

    $element_b_id = $relation['element_b_id'];
    $element_b_key = $relation['element_b_key'];
    $element_b_value = $relation['element_b_value'];

    $visible = $relation['visible'];
    $ordre = $relation['ordre']; 
    $description = $relation['description'];
    
    $add_params = 'element_b_value='.$element_b_value.'&type_relation='.$type_relation ;
    
    $sous_relations = isset($relation[$type_relation]) ? $relation[$type_relation] : null ;
    if(!empty($sous_relations)  ){
      $i_class = 'glyphicon glyphicon-plus-sign' ;
    }
    $title_font_size = ( $level == 0) ? '12pt' : '10pt' ;
    $tr_id = (!empty($id_racine) ) ? $id_racine.'_'.$relation_id : $relation_id ;        
    ?>
      <tr 
        id="<?php echo $tr_id ; ?>" 
        class="<?php echo $tr_class ; ?>" 
        style="<?php echo $tr_style ; ?>"
      >
        <td>
          <i id="<?php echo $relation_id ; ?>" class="<?php echo $i_class ; ?>" style="cursor:pointer;"></i>
        </td>
  			<td><span style="<?php echo $td_style ; ?>"><?php echo $relation_indent.$element_a_value ; ?></span></td>  			
        <td><?php echo $element_a_type ; ?></td>
        <td><?php echo $type_relation ; ?></td>
  			<td>
      <?php if (!empty($description) ) { ?>
          <span
            id="description_<?php echo $relation_id ; ?>"
            class="glyphicon glyphicon-info-sign"
            data-toggle="popover"
            data-container="body"
            data-content="<?php echo $description ; ?>"            
            data-placement="right"
            style="cursor:pointer;"
          ></span>        
      <?php } ?>
        </td>
  			<td><?php echo $ordre; ?></td>
        <td>
        <?php if ($visible == 0 ){ ?>
          <a
            onclick="return window.confirm('Etes vous sùr de vouloir publier les calculs de cette date ?');" 
            href="<?php echo BASE_URL.'/Fsn_Categorie_Relation/publish/'.$relation_id ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/unvalid.png" alt="Publier" title="Publier" />  
          </a>
          <?php } else { ?>
          <a
            onclick="return window.confirm('Etes vous sùr de vouloir dépublier les calculs de cette date ?');" 
            href="<?php echo BASE_URL.'/Fsn_Categorie_Relation/publish/'.$relation_id ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/valid.png" alt="Depublier" title="Depublier" />  
          </a>
        <?php } ?>        
        </td>  			
  			<td>
        <?php
          /**
           *  Les $relation_id > 100000 sont fictifs et correspondent aux relation avec les racines.  
           */                      
          if ($relation_id <= 100000 ){ 
        ?>
          <a 
            onclick="return window.confirm('Etes vous sùr de vouloir modifier cet enregistrement ?');"
            href="<?php echo BASE_URL.'/Fsn_Categorie_Relation/edit/'.$relation_id ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/edit.png" alt="Editer" title="Editer"  />
          </a>
        <?php } ?> 
        </td>            
        <td>
          <a 
            href="<?php echo  BASE_URL.'/Fsn_Categorie_Relation/add/?'.$add_params ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/add.png" alt="Ajouter" title="Ajouter"  />
          </a>
        </td>
  		</tr>
      <?php  
        if(!empty($sous_relations)  ){
          $level = $level_initial + 1 ;
          $id_parent = (!empty($id_racine) ) ? $id_racine.'_'.$relation_id : $relation_id ;  
         _construitDetailCategories($sous_relations, $level, $id_parent) ;
          
        } 

    }    
      
  }
/*
print '<pre>';
print_r($categorie_relations );
print '</pre>';
*/

?>

<script type='text/javascript'>//<![CDATA[ 

  var show_detail = false ;

  $(window).load(function(){

  $("#table_relations tr").on('click', function(event) {
    myvar = $(this);
		var relation_id = myvar.attr('id');
    var glyphicon = $(this).children().find('i#'+relation_id+'.glyphicon') ;
		if (show_detail == true)
		{
			$("[class^='detail_"+relation_id+"']").hide();
      glyphicon.attr('title', 'Déplier cette Catégorie').addClass('glyphicon-plus-sign').removeClass('glyphicon-minus-sign');      
			show_detail = false;
		}
		else
		{
			$('.detail_'+relation_id).show();
      // $("[class^='detail_"+id_categorie+"']").show();
      glyphicon.attr('title', 'Replier cette Catégorie').addClass('glyphicon-minus-sign').removeClass('glyphicon-plus-sign');
			show_detail = true;
		}
	});
  $(function () {
    $('[data-toggle="popover"]').popover()
  })

});//]]>  

</script>

<div class="table-responsive">
  <div id="optiontools">
    <div style="float:right;padding-bottom:10px;padding-top:10px" >
      <span><a href="<?php echo $this->getRequest('Fsn_Categorie', 'thesaurus',array('xml') ); ?>" class="btn btn-primary">Export Thesaurus</a></span>
    </div>
  </div>

  <div id="relations" style="padding:10px;">
  <table class="table table-striped table-bordered table-hover table-condensed table-responsive categorie_table_ref" id="table_relations" >
  
 <caption>RELATIONS CATEGORIES</caption>
  	<thead>
  		<tr>
  		<tr class="headings">
  			<td></td>
  			<td>Cat&eacute;gories</td>
        <td>Element</td>
        <td>Type de relation</td>		
  			<td>Description</td>
        <td>Ordre</td>
        <td>Visible</td>
  			<td colspan="2">#</td>
  		</tr>
  	</thead>
  	<tbody>
    <?php _construitDetailCategories($categorie_relations, 0) ; ?>
    </tbody>
    </table>
    
  </div>

</div>
